// ---- Created with 3Dmigoto v1.3.16 on Thu Apr 25 20:13:10 2024
cbuffer cb3 : register(b3)
{
  float4 cb3[21];
}

cbuffer cb2 : register(b2)
{
  float4 cb2[4];
}

cbuffer cb1 : register(b1)
{
  float4 cb1[7];
}

cbuffer cb0 : register(b0)
{
  float4 cb0[121];
}




// 3Dmigoto declarations
#define cmp -
Texture1D<float4> IniParams : register(t120);
Texture2D<float4> StereoParams : register(t125);


void main(
  float4 v0 : POSITION0,
  float4 v1 : COLOR0,
  float4 v2 : TEXCOORD0,
  float4 v3 : TEXCOORD1,
  float4 v4 : TEXCOORD2,
  out float4 o0 : SV_POSITION0,
  out float4 o1 : COLOR0,
  out float4 o2 : TEXCOORD0,
  out float4 o3 : TEXCOORD1,
  out float4 o4 : TEXCOORD2,
  out float4 o5 : TEXCOORD6,
  out float4 o6 : TEXCOORD7,
  out float4 o7 : TEXCOORD5,
  out float4 o8 : TEXCOORD8,
  out float4 o9 : TEXCOORD9)
{
  float4 r0,r1,r2,r3;
  uint4 bitmask, uiDest;
  float4 fDest;

  r0.xyzw = cb2[1].xyzw * v0.yyyy;
  r0.xyzw = cb2[0].xyzw * v0.xxxx + r0.xyzw;
  r0.xyzw = cb2[2].xyzw * v0.zzzz + r0.xyzw;
  r1.xyzw = cb2[3].xyzw + r0.xyzw;
  o9.xyz = cb2[3].xyz * v0.www + r0.xyz;
  r0.xyzw = cb3[18].xyzw * r1.yyyy;
  r0.xyzw = cb3[17].xyzw * r1.xxxx + r0.xyzw;
  r0.xyzw = cb3[19].xyzw * r1.zzzz + r0.xyzw;
  r0.xyzw = cb3[20].xyzw * r1.wwww + r0.xyzw;
  o0.z = -cb0[2].x * r0.w + r0.z;
  o0.xyw = r0.xyw;
  o1.xyzw = v1.xyzw;
  o2.xyzw = v2.xyzw;
  o3.xyzw = v3.xyzw;
  o4.xyzw = v4.xyzw;
  //r2.xy = v2.xy * cb0[104].xy + cb0[104].zw;
  r2.xy = v2.xy * float2(1.0,1.0) + float2(0.0,0.0);
  r3.x = cb1[0].y * cb0[103].z;
  r3.y = cb1[0].y * cb0[105].x;
  //o5.xy = r3.xy + r2.xy;
  o5.xy = r2.xy;
  r2.xy = v2.xy * cb0[107].xy + cb0[107].zw;
  r2.z = cb1[0].y * cb0[106].x;
  r2.w = cb1[0].y * cb0[108].x;
  o5.zw = r2.xy + r2.zw;
  r2.xy = v2.xy * cb0[118].xy + cb0[118].zw;
  r3.x = cb1[0].y * cb0[117].y;
  r3.y = cb1[0].y * cb0[119].x;
  o6.xy = r3.xy + r2.xy;
  o6.zw = v2.xy * cb0[120].xy + cb0[120].zw;
  r0.y = cb1[6].x * r0.y;
  r2.xzw = float3(0.5,0.5,0.5) * r0.xwy;
  o7.zw = r0.zw;
  o7.xy = r2.xw + r2.zz;
  r0.xyz = cb3[10].xyz * r1.yyy;
  r0.xyz = cb3[9].xyz * r1.xxx + r0.xyz;
  r0.xyz = cb3[11].xyz * r1.zzz + r0.xyz;
  r0.xyz = cb3[12].xyz * r1.www + r0.xyz;
  o8.w = -r0.z;
  o8.xyz = r0.xyz;
  o9.w = 1;
  return;
}

/*~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
//
// Generated by Microsoft (R) D3D Shader Disassembler
//
//   using 3Dmigoto v1.3.16 on Thu Apr 25 20:13:10 2024
//
//
// Input signature:
//
// Name                 Index   Mask Register SysValue  Format   Used
// -------------------- ----- ------ -------- -------- ------- ------
// POSITION                 0   xyzw        0     NONE   float   xyzw
// COLOR                    0   xyzw        1     NONE   float   xyzw
// TEXCOORD                 0   xyzw        2     NONE   float   xyzw
// TEXCOORD                 1   xyzw        3     NONE   float   xyzw
// TEXCOORD                 2   xyzw        4     NONE   float   xyzw
//
//
// Output signature:
//
// Name                 Index   Mask Register SysValue  Format   Used
// -------------------- ----- ------ -------- -------- ------- ------
// SV_POSITION              0   xyzw        0      POS   float   xyzw
// COLOR                    0   xyzw        1     NONE   float   xyzw
// TEXCOORD                 0   xyzw        2     NONE   float   xyzw
// TEXCOORD                 1   xyzw        3     NONE   float   xyzw
// TEXCOORD                 2   xyzw        4     NONE   float   xyzw
// TEXCOORD                 6   xyzw        5     NONE   float   xyzw
// TEXCOORD                 7   xyzw        6     NONE   float   xyzw
// TEXCOORD                 5   xyzw        7     NONE   float   xyzw
// TEXCOORD                 8   xyzw        8     NONE   float   xyzw
// TEXCOORD                 9   xyzw        9     NONE   float   xyzw
//
vs_5_0
dcl_globalFlags refactoringAllowed
dcl_constantbuffer CB0[121], immediateIndexed
dcl_constantbuffer CB1[7], immediateIndexed
dcl_constantbuffer CB2[4], immediateIndexed
dcl_constantbuffer CB3[21], immediateIndexed
dcl_input v0.xyzw
dcl_input v1.xyzw
dcl_input v2.xyzw
dcl_input v3.xyzw
dcl_input v4.xyzw
dcl_output_siv o0.xyzw, position
dcl_output o1.xyzw
dcl_output o2.xyzw
dcl_output o3.xyzw
dcl_output o4.xyzw
dcl_output o5.xyzw
dcl_output o6.xyzw
dcl_output o7.xyzw
dcl_output o8.xyzw
dcl_output o9.xyzw
dcl_temps 4
mul r0.xyzw, v0.yyyy, cb2[1].xyzw
mad r0.xyzw, cb2[0].xyzw, v0.xxxx, r0.xyzw
mad r0.xyzw, cb2[2].xyzw, v0.zzzz, r0.xyzw
add r1.xyzw, r0.xyzw, cb2[3].xyzw
mad o9.xyz, cb2[3].xyzx, v0.wwww, r0.xyzx
mul r0.xyzw, r1.yyyy, cb3[18].xyzw
mad r0.xyzw, cb3[17].xyzw, r1.xxxx, r0.xyzw
mad r0.xyzw, cb3[19].xyzw, r1.zzzz, r0.xyzw
mad r0.xyzw, cb3[20].xyzw, r1.wwww, r0.xyzw
mad o0.z, -cb0[2].x, r0.w, r0.z
mov o0.xyw, r0.xyxw
mov o1.xyzw, v1.xyzw
mov o2.xyzw, v2.xyzw
mov o3.xyzw, v3.xyzw
mov o4.xyzw, v4.xyzw
mad r2.xy, v2.xyxx, cb0[104].xyxx, cb0[104].zwzz
mul r3.x, cb0[103].z, cb1[0].y
mul r3.y, cb0[105].x, cb1[0].y
add o5.xy, r2.xyxx, r3.xyxx
mad r2.xy, v2.xyxx, cb0[107].xyxx, cb0[107].zwzz
mul r2.z, cb0[106].x, cb1[0].y
mul r2.w, cb0[108].x, cb1[0].y
add o5.zw, r2.zzzw, r2.xxxy
mad r2.xy, v2.xyxx, cb0[118].xyxx, cb0[118].zwzz
mul r3.x, cb0[117].y, cb1[0].y
mul r3.y, cb0[119].x, cb1[0].y
add o6.xy, r2.xyxx, r3.xyxx
mad o6.zw, v2.xxxy, cb0[120].xxxy, cb0[120].zzzw
mul r0.y, r0.y, cb1[6].x
mul r2.xzw, r0.xxwy, l(0.500000, 0.000000, 0.500000, 0.500000)
mov o7.zw, r0.zzzw
add o7.xy, r2.zzzz, r2.xwxx
mul r0.xyz, r1.yyyy, cb3[10].xyzx
mad r0.xyz, cb3[9].xyzx, r1.xxxx, r0.xyzx
mad r0.xyz, cb3[11].xyzx, r1.zzzz, r0.xyzx
mad r0.xyz, cb3[12].xyzx, r1.wwww, r0.xyzx
mov o8.w, -r0.z
mov o8.xyz, r0.xyzx
mov o9.w, l(1.000000)
ret
// Approximately 0 instruction slots used

//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~*/
